﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace SmoothStreaming.PerformanceTesting.Tests
{
    [TestClass]
    public class ManifestParsingTests
    {
        // Sample Manifest: http://xstream6.x9tech.com/Media/1/2/278/DSC0089.ism/Manifest
        string _sampleManifestUri = "http://xstream6.x9tech.com/Media/1/2/278/DSC0089.ism/Manifest";

        [TestMethod]
        public void ParseManifestToChunks()
        {
            ManifestParser mp = new ManifestParser();
            var result = mp.ParseManifest(new Uri(_sampleManifestUri));

            Assert.IsTrue(result.Count() > 0);
        }
    }
}
